Обновление ядра CentOS-5.11

Как мне перейти на обновление ядра CentOS-5.11 с 2.6.18-398 до 2.6.24 (или новее). Я пытаюсь настроить автоматический Veracrypt Encryted Volume на устройствах NAS. В настоящее время существуют известные ошибки с любой версией ядра старше, чем 2.6.24. Также я не могу перейти на CentOS-6 для этой конкретной среды.

Ядра CentOS / RHEL 5 не просто ваниль 2.6.18; они содержат бесчисленные обратные функции и исправления ошибок из более новых ядер. Они привязаны к определенному номеру выпуска ядра, чтобы поддерживать совместимость с ABI.

Вы, конечно же, могли бы загрузить и построить новое ядро ​​2.6 , но ему не хватит всех дополнительных материалов, предоставляемых ядром CentOS / RHEL, которые могут создавать другие проблемы совместимости с остальной системой.

Я предлагаю следующее:

  1. Убедитесь, что Veracrypt действительно сертифицирован для использования в CentOS / RHEL 5. Если это так, и есть известные ошибки, Veracrypt может иметь обходное решение.
  2. Проверьте журнал изменений 2.6.18-419, так как ошибки, о которых вы беспокоитесь, действительно могут быть исправлены в нем.

В конце концов, @steve является правильным. CentOS 5 – EOL, и правильный путь вперед – обновление. Если в ядре 2.6.18-419 содержатся исправления ошибок, о которых вы беспокоитесь, я утверждаю, что то, что вас просят сделать, необоснованно.

Глядя на http://vault.centos.org/5.11/updates/x86_64/RPMS/, самое последнее обновление (25 февраля 2017 года) – это ядро-2.6.18-419.

Кроме того, https://en.wikipedia.org/wiki/CentOS#End-of-support_schedule предлагает CentOS 5 больше не получать обновления.

Вам нужно переосмыслить это и обновить до ОС, которая фактически поддерживается / поддерживается.